<script setup lang="ts">
import {
  Globe,
  PadlockClosed,
  AiValueStreamForecast,
  UserCollaboration,
  Handshake,
  Verification,
} from 'slippers-ui/icons';

const icons = {
  Globe,
  PadlockClosed,
  AiValueStreamForecast,
  UserCollaboration,
  Handshake,
  Verification,
};

interface Highlight {
  text: string;
  icon: string;
}

defineProps({
  header: {
    type: String,
    required: false,
    default: '',
  },
  highlights: {
    type: Array as PropType<Highlight[]>,
    required: true,
  },
});
</script>

<template>
  <SlpContainer>
    <div id="esg-highlights">
      <SlpTypography variant="heading2-bold" tag="h2" class="slp-mb-16">
        {{ header }}
      </SlpTypography>
      <div class="highlight-container">
        <div v-for="highlight in highlights" :key="highlight.text" class="highlight">
          <SlpIcon :icon="icons[highlight.icon]" variant="marketing" size="lg" class="slp-mb-16" />
          <SlpTypography variant="body1">
            <div v-html="$md.render(highlight.text)"></div>
          </SlpTypography>
        </div>
      </div>
    </div>
  </SlpContainer>
</template>

<style lang="scss" scoped>
#esg-highlights {
  display: flex;
  flex-direction: column;
  gap: $spacing-32;
  margin-top: $spacing-96;
  @media (min-width: $breakpoint-md) {
    margin-top: 160px;
  }
  .highlight-container {
    display: flex;
    flex-wrap: nowrap;
    max-width: 100%;
    overflow-x: scroll;
    gap: 30px;
    @media (min-width: $breakpoint-lg) {
      display: grid;
      grid-template-columns: repeat(3, 1fr);
      grid-auto-rows: 1fr;
    }
    .highlight {
      border-radius: 4px;
      background: $color-surface-800;
      padding: $spacing-32;
      gap: $spacing-24;
      min-height: 272px;
      min-width: 400px;
      img {
        @media (max-width: $breakpoint-lg) {
          object-fit: scale-down;
          height: 160px;
          width: 135px;
        }
      }
      @media (max-width: $breakpoint-sm) {
        min-width: 300px;
      }
      @media (min-width: $breakpoint-lg) {
        min-width: unset;
        flex-direction: row;
        align-items: flex-start;
        justify-content: center;
      }
      :deep(a) {
        color: $color-primary-200;
        text-decoration: underline;
        text-decoration-color: currentColor;
        transition: all 0.3s ease;
        &:hover,
        &:focus {
          text-decoration-color: transparent;
        }
      }
      :deep(strong) {
        font-weight: $font-weight-bold;
        a {
          font-weight: $font-weight-bold;
        }
      }
    }
  }
}
</style>
